/**
 * @author John Hawksley
 * 
 * AJAX/JS for the TOC
 */

/*
 * Load the plugin notification text.
 */

function tocUpdatePluginNotifications()
{
    var target = $("#ajaxroot").val() + "?fn=tocUpdateNotifications";

    $.ajax({
        url : target,
        cache : false,
        success : function(text)
        {

            fadeInTime = 600;
            fadeOutTime = 200;

            if (text != "")
            {
                // Unfold the toc
                if (text != "No Notifications")
                {
                    displayText = text;

                    displayText = "<a href='" + $("#notificationsLink").html() + "' target='content'>" + text + "</a>"

                    $("#pnfToc").html(displayText);

                    fadeRequired = !$("#pnfToc").is(":visible");

                    if (fadeRequired)
                    {
                        $("#pnfToc").fadeIn(fadeInTime);
                    }

                    if (text.toUpperCase().indexOf("NEW") > -1)
                    {
                        $("#pnfToc_Text").attr('class', 'tocNotificationWarning');
                        $("#pnfToc_Old").hide();

                        if (fadeRequired)
                        {
                            $("#pnfToc_New").fadeIn(fadeInTime);
                        } else
                        {
                            $("#pnfToc_New").show();
                        }

                    } else
                    {
                        $("#pnfToc_Text").attr('class', 'tocNotificationOk');
                        $("#pnfToc_New").hide();
                        

                        if (fadeRequired)
                        {
                            $("#pnfToc_Old").fadeIn(fadeInTime);
                        } else
                        {
                            $("#pnfToc_Old").show();
                        }
                    }
                } else
                {
                    $("#pnfToc_New").fadeOut(fadeOutTime);
                    $("#pnfToc_Old").fadeOut(fadeOutTime);
                    $("#pnfToc").fadeOut(fadeOutTime);
                }
            }
        }
    });
}

function unfold(name)
{
    var obj = document.getElementById(name);

    if (obj != null)
    {
        obj.style['display'] = 'block';
        document.images[name + '-icon'].src = unfolded.src;
    }
}

$(document).ready(function()
{
    tocUpdatePluginNotifications();
    window.setInterval('tocUpdatePluginNotifications()', 5000);
});
